#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.5
visibility:           public
id:                   hOpenPGP-2.9.5-467vmAoGBm2Fq94YJ5Cpi5
key:                  hOpenPGP-2.9.5-467vmAoGBm2Fq94YJ5Cpi5
license:              MIT
copyright:            2012-2020  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  e5196a1af6c618efc3fe95924396dff4
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher

import-dirs:          /usr/lib/ghc-8.10.4/site-local/hOpenPGP-2.9.5
library-dirs:         /usr/lib/ghc-8.10.4/site-local/hOpenPGP-2.9.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/hOpenPGP-2.9.5
hs-libraries:         HShOpenPGP-2.9.5-467vmAoGBm2Fq94YJ5Cpi5
depends:
    aeson-1.5.6.0-5UhD0HeD84KFPVsjqEyp8O
    asn1-encoding-0.9.6-5heIzAN3kUz9qHhNuX5FWP
    attoparsec-0.13.2.5-J6b14THaxvY185NePfXLop base-4.14.1.0
    base16-bytestring-1.0.1.0-96D88dIF01ZC6PmS2McW12
    bifunctors-5.5.10-6kIuDbsVcdiCoQ67HIQast binary-0.8.8.0
    binary-conduit-1.3.1-GKfJw3aNCoH6mODsoKcC73 bytestring-0.10.12.0
    bz2-1.0.1.0-9iardo5Hp7kELpiRO21J8M
    conduit-1.3.4.1-BsPMp3atGtrJXb8lJ0hFF8
    conduit-extra-1.3.5-UoTKH2Tch1Bcb4lcASpvK containers-0.6.2.1
    crypto-cipher-types-0.0.9-J2So9ZEqsLQG0ATekiDcSg
    cryptonite-0.28-H6kcS5sVLxX1I4jG4jMnWM
    errors-2.3.0-1jMMqiGok7nGSgO7igf65q
    hashable-1.3.1.0-1TzQw0rlraYH9EvMt0jxBh
    incremental-parser-0.5.0.2-31GPSdN572O49uGe0kBFDa
    ixset-typed-0.5-Lr8GrUoryZkjN9f6neVp7
    lens-4.19.2-GBzUOPAiptq9QOgOkivzaZ
    memory-0.15.0-E8yvrlcxsw5JtBytoHmuPe
    monad-loops-0.4.3-C0LVokhtCoUF1FVS5cJB0Q
    nettle-0.3.0-2wb6EXXCXxaFuXCUWnsipk
    network-uri-2.6.4.1-GUXxX2cZdMRG3s14SzzbEY
    openpgp-asciiarmor-0.1.2-64JB93kGBEn65QFLKPL5uB
    prettyprinter-1.7.0-78If9KczRn9JWdJ0ftiWq7
    resourcet-1.2.4.2-7jh3WeBmwav3Q3gOaWNv32
    split-0.2.3.4-GHWrnKXirGr6SMfeI3QuoA text-1.2.4.1 time-1.9.3
    time-locale-compat-0.1.1.5-75n5v6JklqyMdEmBwWBxO
    transformers-0.5.6.2 unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-ApNkHwNvshX8NJ7lvcglMy
    zlib-0.6.2.3-8w3d0UGVvVi25PxKGcWhCo

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

